<?php
/**
 * @copyright: Copyright © 2020 Firebear Studio. All rights reserved.
 * @author   : Firebear Studio <fbeardev@gmail.com>
 */

namespace Firebear\PlatformSap\Api;

use Firebear\PlatformSap\Api\Data\LogInterface;
use Magento\Framework\Api\SearchCriteriaInterface;

interface LogRepositoryInterface
{
    public function createByData($data);

    public function updateByData(LogInterface $log, $data);

    public function save(LogInterface $log);

    public function getById($id);

    public function getList(SearchCriteriaInterface $criteria);

    public function delete(LogInterface $log);

    public function deleteById($id);
}
