<?php
/**
 * @copyright: Copyright © 2020 Firebear Studio GmbH. All rights reserved.
 * @author: Firebear Studio <fbeardev@gmail.com>
 */
namespace Firebear\PlatformSap\Plugin\Model\Import;

/**
 * Class AddressPlugin
 * @package Firebear\PlatformSap\Plugin\Model\Import
 */
class AddressPlugin
{
    /**
     * @var \Magento\Customer\Model\ResourceModel\AddressRepository
     */
    protected $addressRepository;

    /**
     * @var \Magento\Framework\Api\FilterBuilder
     */
    protected $filterBuilder;

    /**
     * @var \Magento\Framework\Api\SearchCriteriaBuilder
     */
    protected $searchCriteriaBuilder;

    /**
     * AddressPlugin constructor.
     * @param \Magento\Customer\Model\ResourceModel\AddressRepository $addressRepository
     * @param \Magento\Framework\Api\SearchCriteriaBuilder $searchCriteriaBuilder
     * @param \Magento\Framework\Api\FilterBuilder $filterBuilder
     */
    public function __construct(
        \Magento\Customer\Model\ResourceModel\AddressRepository $addressRepository,
        \Magento\Framework\Api\SearchCriteriaBuilder $searchCriteriaBuilder,
        \Magento\Framework\Api\FilterBuilder $filterBuilder
    ) {
        $this->addressRepository = $addressRepository;
        $this->searchCriteriaBuilder = $searchCriteriaBuilder;
        $this->filterBuilder = $filterBuilder;
    }

    /**
     * @param \Firebear\ImportExport\Model\Import\Address $model
     * @param $result
     * @return mixed
     */
    public function afterCustomChangeData(
        \Firebear\ImportExport\Model\Import\Address $model,
        $result
    ) {
        if (!empty($result['entity_id'])) {
            $result[\Firebear\ImportExport\Model\Import\Address::COLUMN_ADDRESS_ID] = $result['entity_id'];
        }
        return $result;
    }
}
