/**
 * @copyright: Copyright © 2021 Firebear Studio. All rights reserved.
 * @author   : Firebear Studio <fbeardev@gmail.com>
 */

define([
    'Magento_Ui/js/form/element/select',
    'uiRegistry'
], function (Select, reg) {
    'use strict';

    return Select.extend({
        defaults: {
            imports: {
                toggleByPlatform: 'import_job_form.import_job_form.settings.platforms:value'
            },
            isShown: false,
            inverseVisibility: false,
            visible:false
        },
        toggleVisibility: function (selected) {
            this.isShown = selected in this.valuesForOptions;
            this.visible(this.inverseVisibility ? !this.isShown : this.isShown);
        },

        toggleByPlatform: function (selected) {
            if (!selected || selected === undefined) {
                this.toggleVisibility('file');
                return;
            }

            var entity = reg.get(this.ns + '.' + this.ns + '.settings.entity');
            if (entity === undefined) {
                this.toggleVisibility(selected);
                return;
            }

            var value = entity.value() + '_' + selected;
            value = value in this.platformForm ? value : 'file';
            this.toggleVisibility(value);
        }
    });
});
